DORFS(8)

NAME
dorfs - initialize, start and stop RFS automatically

SYNOPSIS
dorfs init domain netspec [address]
dorfs start [ -v ]
dorfs stop

AVAILABILITY

This program is available with the RFS software installation option. Refer to for information on how to install optional software.

DESCRIPTION

dorfs sets up necessary environment to run Remote File Sharing (RFS). You can also use it to start or stop RFS automatically, after its environment is initialized. The environment only needs to be set up once and /usr/nserve/rfmaster must exist before the environment is initialized. Descriptions of /usr/nserve/rfmaster are in rfmaster(5). You must be the super-user to run this command.

USAGE

  Subcommands

init domain netspec[address]
domain is the name of the RFS domain. netspec is the name of a device file in the /dev directory which represents the streams-based transport provider on which RFS will run. Currently, tcp is the only accepted value for this field. address is the optional tcp port number on which the listener will listen. If unspecified, it defaults to 0x1450. This subcommand only needs to be run once to initialize the environment. You do not need to rerun dorfs with the init argument, unless you want to change netspec. /usr/nserve/rfmaster must exists before you run this command to initialize the environment. To reinitialize the environment, you need to remove /usr/nserve/domain, /usr/nserve/netspec, /var/net/nls/netspec/address and /var/net/nls/netspec/dbf beforehand.

start [ -v ]
Start RFS automatically. It also automatically advertises resources that are stored in /etc/rstab and mounts RFS resources that are stored in /etc/fstab.

        -v  Verify clients on mounts (see `rfstart -v').

stop
    Takes down RFS by forced unmounting of all advertised resources, umounting all remotely mounted resources, executing rfstop, and stopping listener.

FILES
/etc/advtab
/etc/rstab
/var/net/nls/tcp/addr
/var/net/nls/tcp/dbf
/usr/nserve/domain
/usr/nserve/netspec
/usr/nserve/rfmaster

SEE ALSO
rfmaster(5), dname(8), fumount(8), mount(8), nlsadmin(8), rfstart(8), rfstop(8)